org.eclipse.oomph.setup.mylyn

## Interface MylynFactory

- All Superinterfaces:
    EFactory, EModelElement, EObject, Notifier
  All Known Implementing Classes:
    MylynFactoryImpl

      public interface MylynFactory
      extends EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `MylynPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MylynFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BuildPlan` | `createBuildPlan()` Returns a new object of class 'Build Plan'.
    `MylynBuildsTask` | `createMylynBuildsTask()` Returns a new object of class 'Builds Task'.
    `MylynQueriesTask` | `createMylynQueriesTask()` Returns a new object of class 'Queries Task'.
    `Query` | `createQuery()` Returns a new object of class 'Query'.
    `MylynPackage` | `getMylynPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final MylynFactory eINSTANCE

      The singleton instance of the factory.
      Generated

  - ### Method Detail

    - #### createMylynQueriesTask

          MylynQueriesTask createMylynQueriesTask()

      Returns a new object of class 'Queries Task'.
      Returns:
        a new object of class 'Queries Task'.
      Generated

    - #### createMylynBuildsTask

          MylynBuildsTask createMylynBuildsTask()

      Returns a new object of class 'Builds Task'.
      Returns:
        a new object of class 'Builds Task'.
      Generated

    - #### createBuildPlan

          BuildPlan createBuildPlan()

      Returns a new object of class 'Build Plan'.
      Returns:
        a new object of class 'Build Plan'.
      Generated

    - #### createQuery

          Query createQuery()

      Returns a new object of class 'Query'.
      Returns:
        a new object of class 'Query'.
      Generated

    - #### getMylynPackage

          MylynPackage getMylynPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html